The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the DXL Integration Configuration for Domain

Prev Next

This URL updates the DXL integration configuration for domain.

Resource URL

PUT /domain/<domain_id>/dxlintegration

Request Parameters

URL Parameter

Field Name Description Data Type Mandatory
domainId Domain id Number Yes

Payload Parameters:

Field Name Description Data Type Mandatory
inheritSettings Inherit settings from parent domain Boolean Yes
enableDXL DXL should be enabled or not Boolean No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/ domain/0/dxlintegration

Payload

{
       "inheritSettings": true,
       "enableDXL": true
    } 

Response

 {
       "status":1
   } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 400 9101 Cannot inherit settings for parent domain
3 400 1001 ePO configuration is required to enable DXL service